YITH WooCommerce Ajax Search

Beschrijving

According to several usability studies, 85% of users who access an e-commerce store go straight to the search form. If they cannot find it and search for the products they want to buy, most of them will abandon the site after a few seconds.

If you already have a search form on your website, but it does not work properly or suggests irrelevant products, the same will happen: they will abandon your shop and you will lose those sales.

With the latest version of YITH WooCommerce AJAX Search, in just a few minutes, you can set up a modern and usable search form in WooCommerce that’s designed to deliver effective results consistently, search after search.

The new version of the plugin is powerful, flexible, and easy to configure. You can place your search form anywhere using the built-in block or shortcode, customize its style and colors, and, most importantly, set a tolerance threshold to find results even if there are some typos in the text.

Go ahead, install the plugin and in just a few clicks you’ll have your customers searching and quickly finding the products they are interested in.

Features of the free version:

  • Insert the search form using the Gutenberg block

  • Insert the search form using the shortcode

  • Choose the size of the search form

  • Set the placeholder text to show in the form search input

  • Set the colors of the form and the “Submit” button

  • Enable instant search (autocomplete feature)

  • Set the number of characters after which the instant search is triggered

  • Search for keywords in product names

  • Search for keywords in product (main and short) description

  • Show search results in a list layout, one below the other

  • Show product names and images

  • Configure the maximum number of results to show

  • Choose whether to show a “View all results” link

  • 100% mobile-friendly layout

Want to see the plugin in action? Check out the live demo of the free version >

Need an extra boost? Upgrade to premium!

In the free version of YITH WooCommerce AJAX Search, you’ll find everything you need to add a modern and powerful search form to your shop. But if you are looking for advanced options and even more flexibility, we invite you to upgrade the plugin to the premium version.

Features of the premium version:

  • Enable searching in product SKUs

  • Extend the search to categories, tags, attributes, and custom fields

  • Extend the search to posts and/or pages to suggest related content to your users

  • Show search suggestions and choose whether to show popular searches or specific keywords

  • Configure synonym sets to show relevant results regardless of the keywords typed by the user

  • Show search results in a grid layout

  • Hide out-of-stock products from search results

  • Optional: show product price, SKU, and stock

  • Optional: show categories, “Add to cart” button, and short description

  • Set a maximum length for product descriptions

  • Choose whether to show badges on discounted, featured, or out-of-stock products and customize the colors of the badges

  • Show links to categories related to the search keys

  • Show the user’s history with the latest searches

Check out the live demo of the premium version >

Schermafdrukken

  • General Settings
  • Search fields and indexing
  • Shortcode configuration - general tab
  • Shortcode configuration - search input tab
  • Shortcode configuration - submit button tab
  • Shortcode configuration - search results tab

Installatie

Belangrijk: Allereerst moet je de WooCommerce-plug-in downloaden en activeren, want zonder deze kan YITH WooCommerce Ajax Search niet werken.

  1. Pak het gedownloade zipbestand uit.
  2. Upload de YITH WooCommerce Ajax Search-map in de map wp-content / plugins / van je WordPress-site.
  3. Activeer YITH WooCommerce Ajax Search van de plugin pagina

FAQ

Is het compatibel met alle WordPress-thema’s?

Compatibiliteit met alle thema’s is onmogelijk, omdat ze te veel zijn, maar in het algemeen als thema’s worden ontwikkeld volgens de WordPress- en WooCommerce-richtlijnen, zijn YITH-plug-ins compatibel met hen.
Toch kunnen we compatibiliteit bieden met thema’s die door YIThemes zijn ontwikkeld, omdat ze voortdurend worden bijgewerkt en getest met onze plug-ins. Soms, vooral wanneer nieuwe versies worden uitgebracht, duurt het mogelijk enige tijd voordat ze allemaal zijn bijgewerkt, maar je kunt er zeker van zijn dat ze worden getest en binnen een paar dagen zullen werken.

Hoe kan ik ondersteuning krijgen als mijn WooCommerce plugin niet werkt?

Als je problemen ondervindt met onze plug-ins of iets niet naar behoren werkt, volg je eerst deze eerste stappen:

  • Test de plug-in met een standaard WordPress-thema, om er zeker van te zijn dat de fout niet wordt veroorzaakt door het thema dat je momenteel gebruikt.
  • Deactiveer alle plug-ins die je gebruikt en controleer of het probleem zich nog steeds voordoet.
  • Zorg ervoor dat de pluginversie, je themaversie en uw WordPress- en WooCommerce-versie (indien nodig) zijn bijgewerkt en dat het probleem dat je ondervindt nog niet is opgelost in een latere update van de plug-in.

Als geen van de hierboven vermelde acties je helpt het probleem op te lossen, dien je een ticket in het forum in en beschrijft je je probleem nauwkeurig, geef je WordPress- en WooCommerce-versies die je gebruikt en andere informatie die ons kan helpen uw probleem zo snel mogelijk op te lossen . Bedankt!

Hoe kan ik meer functies krijgen voor mijn WooCommerce-plugin?

Je kunt meer functies krijgen met de premiumversie van YITH WooCommerce Ajax Search, beschikbaar op YITH-pagina . Hier kunt u meer lezen over de premiumfuncties van de plug-in en ervoor zorgen dat deze de beste kans maakt!

Hoe kan ik de plugin met alle functies uitproberen?

Als je een demonstratie wilt van de premium plugin, kun je deze zien op deze pagina. Browse het en probeer alle beschikbare opties zodat je zelf ervaart hoe de plugin werkt.

Beoordelingen

4 oktober 2023
It functions but the widget title has it's own style and not using Standard style. Element Backgrounds are plain white. No option to change it other than making own CSS code for Theme. I wish they would offer a Tag cloud for tag search. I love YITH though as they have great looking UI, a lot of useful addons but in detail they lack options and some crucial functions.
8 februari 2023 1 reactie
Un plugin che in versione free non ha NESSUNA opzione di personalizzazione (a parte 2 label) ...Solo per questo meritate 1 stella.
16 juli 2021 1 reactie
useful options and tools. but here is the issue : 1.you cant design the search box like remove button , put a magnifier or any icon you want. 2.you cant design the search box background color.even with css code. Because the plugin WONT Listen to you AT ALL. 3.you cant design borders. 4.you cant make an automatic search.
8 mei 2020 1 reactie
The plugin is deliberately undercooked to get you to pay extortionate prices for their Pro versions which are ludicrously priced - $1000 a year lol You look back through the reviews here and most of the 5* reviews are from a few years ago and were made by YITH staff members. How is this even allowed to manipulate the ratings like this? A look through the other reviews of their plugins on wordpress.org shows a similar story. 5* reviews by YITH's own team. Stay clear. Any company manipulating their own reviews like that are not to be trusted. And shame on WordPress own team for turning a blind eye to this company.
16 juli 2019
i use this plugin since one year and it's really work. we can customize and manage option of the plugin to do what we want i use the premium version
Lees alle 40 beoordelingen

Bijdragers & ontwikkelaars

“YITH WooCommerce Ajax Search” is open source software. De volgende personen hebben bijgedragen aan deze plugin.

Bijdragers

“YITH WooCommerce Ajax Search” is vertaald in 13 talen. Dank voor de vertalers voor hun bijdragen.

Vertaal “YITH WooCommerce Ajax Search” naar jouw taal.

Interesse in ontwikkeling?

Bekijk de code, haal de SVN repository op, of abonneer je op het ontwikkellog via RSS.

Changelog

2.0.2 – Released on 24 January 2024

  • Fix: Product price was not displayed with tax and in the correct format.
  • Fix: Shortcode option was not being saved.
  • Fix: Products in draft status were being displayed in search results.

2.0.1 – Released on 15 January 2024

  • Update: YITH plugin framework
  • Fix: Fuzzy search strings only on products
  • Fix: Support Porto theme 7.0.1

2.0.0 – Released on 10 January 2024

  • New: Classic Search block
  • New: Fuzzy Search option
  • New: Shortcode fully customizable from the plugin options panel
  • New: Support for WooCommerce 8.5
  • Update: YITH plugin framework
  • Update: Language file
  • Dev: Template yith-woocommerce-ajax-search.php now is deprecated
  • Tweak: Improvement search engine by specific table

1.38.0 – Released on 19 December 2023

  • New: support for WooCommerce 8.4
  • Update: YITH plugin framework

1.37.0 – Released on 14 November 2023

  • New: support for WordPress 6.4
  • New: support for WooCommerce 8.3
  • Update: YITH plugin framework

1.36.0 – Released on 13 October 2023

  • New: support for WooCommerce 8.2
  • Update: YITH plugin framework

1.35.0 – Released on 13 September 2023

  • New: support for WooCommerce 8.1
  • Update: YITH plugin framework

1.34.0 – Released on 02 August 2023

  • New: support for WordPress 6.3
  • New: support for WooCommerce 8.0
  • Update: YITH plugin framework

1.33.0 – Released on 13 July 2023

  • New: plugin panel UI
  • Update: YITH plugin framework

1.32.0 – Released on 21 June 2023

  • New: Support for WooCommerce 7.8
  • Update: YITH plugin framework

1.31.0 – Released on 09 May 2023

  • New: Support for WooCommerce 7.7
  • Update: YITH plugin framework

1.30.0 – Released on 19 April 2023

  • New: Support for WooCommerce 7.6
  • New: Support for WooCommerce HPOS feature
  • New: Support for PHP 8.1
  • Update: YITH plugin framework

1.29.0 – Released on 21 March 2023

  • New: support for WordPress 6.2
  • New: support for WooCommerce 7.5
  • Update: YITH plugin framework

1.28.0 – Released on 13 February 2023

  • New: support for WooCommerce 7.4
  • Update: YITH plugin framework

1.27.0 – Released on 05 January 2023

  • New: support for WooCommerce 7.3
  • Update: YITH plugin framework

1.26.0 – Released on 20 December 2022

  • New: support for WooCommerce 7.2
  • Update: YITH plugin framework

1.25.1 – Released on 14 November 2022

  • Update: YITH plugin framework
  • Fix: patched security vulnerability

1.25.0 – Released on 02 November 2022

  • New: support for WordPress 6.1
  • New: support for WooCommerce 7.1
  • Update: YITH plugin framework

1.24.0 – Released on 04 October 2022

  • Nieuw: ondersteuning voor WooCommerce 7.0
  • Update: YITH plugin framework

1.23.0 – Released on 07 September 2022

  • Nieuw: ondersteuning voor WooCommerce 6.9
  • Update: YITH plugin framework

1.22.2 – Released on 10 August 2022

  • Oplossing: Gutenberg blok lay-out stijl

1.22.1 – Released on 4 August 2022

  • Oplossing: lay-out stijl

1.22.0 – Released on 27 July 2022

  • Nieuw: ondersteuning voor WooCommerce 6.8
  • Update: YITH plugin framework

1.21.0 – Released on 06 July 2022

  • Nieuw: ondersteuning voor WooCommerce 6.7
  • Update: YITH plugin framework

1.20.0 – Released on 10 June 2022

  • Nieuw: ondersteuning voor WooCommerce 6.6
  • Update: YITH plugin framework

1.19.0 – Released on 06 May 2022

  • Nieuw: ondersteuning voor WooCommerce 6.5
  • Nieuw: ondersteuning voor WordPress 6.0
  • Update: YITH plugin framework

1.18.0 – Released on 05 April 2022

  • Nieuw: ondersteuning voor WooCommerce 6.4
  • Update: YITH plugin framework

1.17.0 – Released on 03 March 2022

  • Nieuw: ondersteuning voor WooCommerce 6.3
  • Update: YITH plugin framework

1.16.0 – Released on 08 February 2022

  • Nieuw: ondersteuning voor WooCommerce 6.2
  • Update: YITH plugin framework

1.15.0 – Released on 26 January 2022

  • Nieuw: ondersteunt WordPress 5.9
  • Update: YITH plugin framework

1.14.0 – Released on 27 December 2021

  • Nieuw: ondersteuning voor WooCommerce 6.1
  • Update: YITH plugin framework

1.13.0 – Released on 16 December 2021

  • Nieuw: ondersteunt WooCommerce 6.0
  • Update: YITH plugin framework

1.12.0 – Released on 4 November 2021

  • Nieuw: ondersteunt WooCommerce 5.9
  • Update: YITH plugin framework

1.11.0 – Released on 14 October 2021

  • Nieuw: Ondersteunt WooCommerce 5.8
  • Update: YITH plugin framework

1.10.1 – Released on 27 September 2021

  • Update: YITH plugin framework
  • Oplossing: debug info functie verwijderd voor alle ingelogde gebruikers

1.10.0 – Released on 7 September 2021

  • Nieuw: ondersteunt WooCommerce 5.7
  • Update: YITH plugin framework

1.9.3 – Released on 9 August 2021

  • Nieuw: Ondersteunt WooCommerce 5.6
  • Update: YITH plugin framework

1.9.2 – Released on 24 June 2021

  • Nieuw: Ondersteunt WordPress 5.8
  • Nieuw: Ondersteunt WooCommerce 5.5
  • Update: YITH plugin framework

1.9.1 – Released on 27 May 2021

  • New: ondersteunt WooCommerce 5.4
  • Update: YITH plugin framework

1.9.0 – Released on 05 May 2021

  • Nieuw: ondersteuning voor WooCommerce 5.3
  • Update: YITH plugin framework

1.8.9 – Released on 02 April 2021

  • Nieuw: Ondersteunt WooCommerce 5.2
  • Update: YITH plugin framework

1.8.8 – Released on 24 Feb 2021

  • Nieuw: Ondersteunt WordPress 5.7
  • Nieuw: Ondersteunt WooCommerce 5.1
  • Update: YITH plugin framework

1.8.7 – Released on 3 Feb 2021

  • Nieuw: Ondersteunt WooCommerce 5.0
  • Update: YITH plugin framework

1.8.6 – Released on 7 Gen 2021

  • Update: Plugin framework
  • Opgelost: probleem met plugin framework

1.8.5 – Released on 31 Dec 2020

  • Nieuw: Ondersteunt WooCommerce 4.9
  • Update: Plugin framework

1.8.4 – Released on 2 Dec 2020

  • Nieuw: Ondersteunt WooCommerce 4.8
  • Update: Plugin framework

1.8.3 – Released on 3 Nov 2020

  • Nieuw: Ondersteunt WordPress 5.6
  • Nieuw: Ondersteunt WooCommerce 4.7
  • Update: Plugin framework
  • Dev: Verouderde JQuery functies verwijderd

1.8.2 – Released on 6 Oct 2020

  • Nieuw: Ondersteunt WooCommerce 4.6
  • Update: Plugin framework

1.8.1 – Released on 18 Sep 2020

  • Nieuw: Ondersteunt WooCommerce 4.5
  • Update: Plugin framework

1.8.0 – Released on 8 Aug 2020

  • Nieuw: Ondersteunt WooCommerce 4.4
  • Nieuw: Ondersteunt WordPress 5.5
  • Update: Plugin framework

1.7.9 – Released on 20 May 2020

  • Nieuw: Ondersteunt WooCommerce 4.2
  • Update: Plugin framework

1.7.8 – Released on 23 April 2020

  • Fix: probleem met Elementor plugin opgelost

1.7.7 – Released on 23 April 2020

  • Nieuw: Ondersteunt WooCommerce 4.1
  • Update: Plugin framework

1.7.6 – Released on 20 March 2020

  • Nieuw: Ondersteunt Elementor
  • Update: Plugin framework

1.7.5 – Released on 5 March 2020

  • Nieuw: Ondersteunt WordPress 5.4
  • Nieuw: Ondersteunt WooCommerce 4.0
  • Update: Plugin framework

1.7.4 – Released on 23 December 2019

  • Nieuw: Ondersteunt WooCommerce 3.9
  • Update: Plugin framework

1.7.3 – Released on 29 November 2019

  • Update: Plugin framework

1.7.2 – Released on 7 November 2019

  • Update: Plugin framework

1.7.1 – Released on 30 October 2019

  • Update: Plugin framework

1.7.0 – Released on 28 October 2019

  • Nieuw: Ondersteunt WordPress 5.3
  • Nieuw: Ondersteunt WooCommerce 3.8
  • Update: Plugin framework

1.6.9 – Released on 25 July 2019

  • Nieuw: Ondersteunt WooCommerce 3.7.0
  • Update: Plugin framework

1.6.8 – Released on 12 June 2019

  • Update: Plugin framework

1.6.7 – Released on 29 May 2019

  • Update: Plugin framework

1.6.6 – Released on 29 May 2019

  • Update: Plugin framework

1.6.5 – Released on 23 April 2019

  • Update: Plugin framework

1.6.4 – Released on 09 April 2019

  • Nieuw: Ondersteunt WooCommerce 3.6.0 RC1
  • Update: Plugin framework
  • Fix: vertaalde regels

1.6.3 – Released on 28 January 2019

  • Update: Plugin framework

1.6.2 – Released on 05 December 2018

  • Nieuw: Ondersteunt WordPress 5.0
  • Update: Taalbestanden
  • Update: Plugin framework

1.6.1 – Released on 23 Oct 2018

  • Update: Plugin framework

1.6.0 – Released on 18 Oct 2018

  • Nieuw: Ondersteunt WooCommerce 3.5.0
  • Update: Plugin framework

1.5.9 – Released on 26 September 2018

  • Update: Plugin framework

1.5.8 – Released on 28 June 2018

  • Update: Plugin framework
  • Oplossing: Vaste compatibiliteitsklasse laden

1.5.7 – Released on 28 June 2018

  • Oplossing: Vaste compatibiliteitsklasse laden
  • Update: Plugin framework

1.5.6 – Released on 17 May 2018

  • Nieuw: Ondersteunt WordPress 4.9.6
  • Nieuw: Ondersteunt WooCommerce 3.4.0
  • Update: Plugin framework

1.5.5 – Released on 31 January 2018

  • Nieuw: Ondersteunt WooCommerce 3.3
  • Update: Plugin Core 3.0.11

1.5.4 – Released on 06 Nov 2017

  • Update: Plugin Core.

1.5.3 – Released on 25 May 2017

  • Fix: Plugin core integratie
  • Update: Plugin Core.

1.5.2 – Released on 31 March 2017

  • Fix: vraag voor zichtbaar product
  • Update: Plugin Core.

1.5.1 – Released on 28 March 2017

  • Nieuw: Ondersteunt WooCommerce 3.0 RC2
  • Update: Plugin Core.

1.5.0 – Released on 06 March 2017

  • Nieuw: Ondersteunt WooCommerce 2.7 RC1
  • Update: Plugin Core.
  • Update: Taalbestanden

1.4.1 – Released on 17 Oct 2016

  • Nieuw: optie om automatisch gevulde resultaten in een transient op te slaan
  • Update: Plugin Framework.

1.4.0 – Released on 10 June 2016

  • Nieuw: Ondersteunt WooCommerce 2.6 RC1
  • Update: Plugin framework

1.3.9 – Released on 15 December 2015

  • Nieuw: Ondersteunt WordPress 4.4
  • Update: Plugin framework

1.3.8 – Released on 30 October 2015

  • Nieuw: Plugin framework ondersteuning toevoegen voor Essential Kit #1

1.3.7 – Released on 18 September 2015

  • Update: Text domein gewijzigd van ‘yit’ naar ‘yith-woocommerce-ajax-search’
  • Update: Plugin framework

1.3.6 – Released on 12 August 2015

  • Nieuw: Ondersteunt WooCommerce 2.4.2
  • Update: Plugin framework

1.3.5 – Released on 07 August 2015

  • Nieuw: Ondersteunt meer zoekelementen op een pagina

1.3.4 – Released on 17 July 2015

  • Fix: Ondersteuning voor WPML

1.3.3 – Released on 07 July 2015

  • Fix: Called naar WP_Widget construct
  • Fix: Ondersteuning voor WPML

1.3.2 – Released on 15 June 2015

  • Fix: Backward compatibiliteit met automatisch afronden functie

1.3.1 – Released on 10 June 2015

  • Update: Automatisch afronden functie hernoemd met YithAutocomplete

1.3.0 – Released on 24 April 2015

  • Nieuw: WordPress 4.2 compatibiliteit
  • Fix: Shorcode output
  • Fix: Wp security probleem

1.2.7 – Released on 07 April 2015

  • Update: Plugin framework

1.2.6 – Released on 30 March 2015

  • Update: Plugin framework
  • Fix: lader afbeelding niet verborgen na zoeken
  • Fix: Indienen wanneer zoeken regel leeg is, uitgeschaked
  • Fix: Ondersteunt WPML in vraag regel

1.2.5 – Released on 12 March 2015

  • Fix: Plugin installatie fout

1.2.4 – Released on 04 March 2015

  • Fix: kleine fouten

1.2.3 – Released on 02 March 2015

  • Nieuw: Ondersteunt WordPress 4.1.1
  • Fix: kleine fouten

1.2.2 – Released on 12 February 2015

  • Nieuw: Ondersteunt WooCommerce 2.3
  • Fix: kleine fouten

1.2.1 – Released on 06 February 2015

  • Update: Plugin framework

1.2.0 – Released on 29 January 2015

  • Update: Plugin framework

1.1.3 – Released on 16 October 2014

  • Fix: Javascript code in extern bestand

1.1.2 – Released on 14 September 2014

  • Fix: voorkomen ongedefinieerde titel index als widget wordt opgeroepen door the_widget func
  • Update: Automatisch invullen js library
  • Update: Plugin framework

1.1.1 – Released on 14 February 2014

  • Fix: Instellingen link werkt niet op WooCommerce 2.1.1

1.1.0 – Released on 12 February 2013

  • Nieuw: Ondersteunt WooCommerce 2.1.x

1.0.0 – Released on 1 August 2013

  • Eerste release